@font-face {
    font-family: "Gogol";
    src: url("fonts/ofont.ru_Gogol.ttf") format("truetype");
}

@font-face {
    font-family: "Quant Antiqua";
    src: url("fonts/ofont.ru_Quant Antiqua.ttf") format("truetype");
}
@font-face {
    font-family: "Flor";
    src: url("fonts/Floriselscript.ttf") format("truetype");
}
@font-face {
    font-family: "Fog";
    src: url("fonts/FoglihtenNo06_076.otf") format("truetype");
}
@font-face {
    font-family: "Sloop";
    src: url("fonts/Sloop Script Pro.otf") format("truetype");
}

@font-face {
    font-family: "Stolzl";
    src: url("fonts/ofont.ru_Stolzl.ttf") format("truetype");
}

@font-face {
    font-family: "DolomanPavljenko";
    src: url("fonts/DolomanPavljenko.otf");
}
@font-face {
    font-family: "French";
    src: url("fonts/FrenchKissscript.ttf");
}

* {
    margin: 0;
    padding: 0;
    font-family: "Fog", sans-serif;

}
body {
    position: relative;
    overflow-x: hidden;
}
body::before {
    content: "";
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    /*background: url('images/bg3.jpg') no-repeat center center;*/
    background-size: cover;
    z-index: -1;
}

.watermark {
    content: "ya-invite";
    position: fixed;
    font-size: 80px;
    color: rgba(0, 0, 0, 0.08);
    transform: rotate(-25deg);
    pointer-events: none;
    z-index: 55555;
    white-space: nowrap;
    font-weight: 600; /* выглядит аккуратнее */
}



body::after {
    content: "ya-invite";
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%) rotate(-25deg);
    font-size: 80px;
    color: rgba(0,0,0,0.08);
    pointer-events:none;
    z-index:5555555;
    white-space:nowrap;
}

html::after {
    content: "ya-invite";
    position: fixed;
    top: 80%;
    left: 50%;
    transform: translate(-50%, -50%) rotate(-25deg);
    font-size: 80px;
    color: rgba(0,0,0,0.08);
    pointer-events:none;
    z-index:555555;
    white-space:nowrap;
}
.container {
    max-width: 600px;
    margin: 0 auto;
}
.hidden {
    opacity: 0;
    transform: translateY(50px);
    transition: opacity 0.8s ease-out, transform 0.8s ease-out;
}

.show {
    opacity: 1;
    transform: translateY(0);
}

.first-page {
    margin: 0 auto;
    display: block;
    position: relative;
    max-width: 600px;
    height: 100vh;
    background-image: url("images/one.jpg");
    background-repeat: no-repeat;
    background-position: center 20%;
    background-size: cover;
}
.fitst-img {
    position: absolute;
    bottom: -175px;
    left: 50%;
    transform: translateX(-50%);
    overflow: hidden;
}
.fitst-img img {
    max-width: 605px;
    width: 100vw;
}

.first-page-text {
    text-align: center;
    font-size: 25px;
    text-transform: uppercase;
    position: absolute;
    display: flex;
    flex-direction: column;
    bottom: 50px;
    left: 50%;
    transform: translateX(-50%);
    width: 70%;
    line-height: 0.8;
}
.first-page-text  span {
    font-family: "Sloop", sans-serif;
    color: white;
    font-size: 110px;
    text-transform: none;
    margin-right: 10px;
}
.and {
    position: absolute;
    bottom: 60px;
    right: 110px;
    color: rgba(255, 255, 255, 0.7);
    font-family: "Flor", serif;
    font-size: 75px;

}
.name-one {
    text-align: left;
    color: white;
    font-family: "Fog", sans-serif;
    font-size: 50px;
}
.name-two {
    color: white;
    font-family: "Fog", sans-serif;
    font-size: 50px;
    text-align: right;
}
.invite {
    margin: 0 auto;
    position: relative;
    padding: 50px 0 120px 0;
}

.invite .container {

    text-align: center;
}

.invite-date {
    position: relative;
}
.invite-shok {
    font-size: 30px;
    text-transform: uppercase;
}
.invite-shok span{
    font-family: "Sloop", sans-serif;
    color: #680c20;
    font-size: 80px;
    text-transform: none;
}
.invite-invite {
    font-size: 30px;
}
.invite-date {
    font-size: 30px;
    color: #680c20;
    margin-top: 20px;


}
.invite-date span {
    font-size: 60px;
    font-weight: bold;
    font-family: "Fog", sans-serif;
}


.attention {
    background-image: url("./images/about-bg.jpg");
}


.main {
    /*background-color: #f8efea;*/
    position: relative;
    padding: 100px 0 30px 0;
}
.main .container {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}
.main-title {
    font-family: "Sloop", sans-serif;
    font-size: 110px;
    position: relative;
    padding-bottom: 10px;
    color: #7a0f21;
}




.calendar {
    width: 400px;
    max-width: 100%;
    margin-bottom: 50px;
    padding: 20px;
    background-color: white;
    text-align: center;
    z-index: -1;
    display: inline-block;
    border: 2px solid #333; /* Рамка вокруг календаря */
    border-radius: 10px; /* Скругление углов */
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2); /* Тень для объема */
}
.calendar .month {
    font-family: "Fog", sans-serif;
    font-weight: normal;
    font-size: 50px;
}


.days {
    margin-top: 30px;
    display: grid;
    grid-template-columns: repeat(7, 1fr);
    gap: 0px;
    font-size: 29px;
    justify-items: center;
    justify-content: center;
}
.day {
    padding: 10px;
    width: 40px;
    height: 40px;
    position: relative;
}
.day.empty {
    background: transparent;
}
.heart {
    color: #7a0f21;
    font-size: 46px;
    position: absolute;
    bottom: -18px;
    right: -9px;
    z-index: -1;
}
.heart svg {
    width: 80px;
    height: 80px;
}




.location {
    display: flex;
    flex-direction: column;
    position: relative;
    max-width: 600px;
    margin: 0 auto;
}


.location-title {
    text-align: center;
    font-family: "Sloop", sans-serif;
    font-weight: normal;
    font-size: 110px;
    margin-bottom: 10px;
    color: #7a0f21;
}




h2 {
    font-size: 30px;
    margin-bottom: 10px;
}

p {
    font-size: 30px;
}
.location-info {
    text-align: center;
    color: black;
}
.location-info p{
    font-size: 24px;
}

.location a {
    font-size: 20px;
    text-decoration: none;
    outline: none;
    color: black;
    border: 1px solid #7a0f21;
    padding: 15px 10px 10px 10px;
    width: 80%;
    border-radius: 30px;

    display: inline-block;
    cursor: pointer;
    margin-top: 10px;
    text-align: center;
}
.location a:hover {
    color: #262626;


}


.program {
    padding: 0 0 50px 0;
}

.program-title {
    font-family: "Sloop", sans-serif;
    margin-bottom: 30px;
    text-align: center;
}
.program-day {
    font-family: "Sloop", sans-serif;
    font-size: 110px;
    color: #7a0f21;
    z-index: -1;
}

.timeline {
    display: flex;
    flex-direction: column;
    max-width: 528px;
    margin: auto;
    position: relative;
}
.timeline::before {
    content: "";
    position: absolute;
    left: 25%;
    top: 0;
    bottom: 0;
    width: 1px;
    background-color: #000000;
}

.event {
    display: grid;
    grid-template-columns: 160px 1fr;
    align-items: center;
    grid-template-rows: 164px

}

.icon {
    display: flex;
    justify-content: center;
}

.time-info {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;

}

.description {
    font-weight: bold;
    font-size: 30px;
}
.description span{
    font-family: "Sloop", sans-serif;
    font-weight: normal;
    font-size: 80px;
    color: #7a0f21;
}

.time-info .text {
    font-size: 16px;
}



.icon.second svg, .icon.three svg, .icon.four svg, .icon.first svg  {
    width: 75px;
    height: 75px;
}

.dresscode {
    padding-top: 50px;
    position: relative;
}
.dresscode-title {
    font-family: "Sloop", sans-serif;
    font-size: 110px;
    margin-bottom: 50px;
    text-align: center;
    color: #7a0f21;
}

.dresscode-info-text {
    text-align: center;
    font-size: 30px;
    margin-bottom: 30px;
    font-weight: normal;
}

.dresscode-info-blocks {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 20px;
}

.dresscode-info-block {
    width: 200px;
    height: 50px;
}

.dresscode-info-block.first {
    background-color: #bc8e90;
}

.dresscode-info-block.second {
    background-color: #aaa9a5;
}

.dresscode-info-block.third {
    background-color: #eedebd;
}

.dresscode-info-block.four {
    background-color: #998b82;
}

.dresscode-info-block.five {
    background-color: #6a041c;
}



.wishes {
    padding: 100px 0;
    position: relative;
}

.wishes-title {
    margin-bottom: 50px;
    text-align: center;
}
.wishes-day {
    font-family: "Sloop", sans-serif;
    font-size: 110px;
    color: #7a0f21;
    z-index: -1;
}




.wishes-text {
    text-align: center;
    font-size: 30px;
    font-weight: normal;
}




.presence {
    padding: 50px 0 50px 0;
}

.presence-title {
    margin-bottom: 50px;
    text-align: center;
    font-family: "Sloop", sans-serif;
    font-size: 110px;
    color: #7a0f21;
    position: relative;
    z-index: 5;
}
.presence-day {
    font-size: 110px;
    color: #d7cfc3;
    position: absolute;
    z-index: -1;
}


.presence-text {
    text-align: center;
    font-size: 30px;
    font-weight: normal;
    margin-bottom: 30px;
    position: relative;
    z-index: 55;
}
.des {
    font-size: 18px;
}

.wedding-form {
    max-width: 700px;
    margin: 0 auto;
    padding: 20px;
    font-size: 30px;
    font-family: "Cormorant Infant", sans-serif;

    fieldset {
        border: none;
        margin-bottom: 15px;
    }

    legend {
        font-weight: bold;
        margin-bottom: 5px;
    }
    p {
        color: black;
    }

    label {
        display: block;
        margin: 5px 0;
    }

    input[type="text"],
    textarea {
        width: 97%;
        padding: 8px;
        border: 1px solid #5c5c5c;
        border-radius: 5px;
        font-size: 16px;
    }
    .wedding-form input[type="radio"],
    .wedding-form input[type="checkbox"],
    textarea {
        -webkit-appearance: none;
        -moz-appearance: none;
        appearance: none;
    }

    textarea {
        min-height: 100px;
    }

    button {
        -webkit-appearance: none; /* Убирает дефолтные стили в Safari */
        -moz-appearance: none; /* Для Firefox */
        appearance: none; /* Общий сброс */
        width: 100%;
        padding: 10px;
        background: #5c5c5c;
        color: #f8efea;
        border: none;
        border-radius: 5px;
        cursor: pointer;
        font-size: 16px;

        &:hover {
            background: #262626;
        }
    }
}
@supports (-webkit-appearance: none) {
    .wedding-form {
        max-width: 700px;
        margin: 0 auto;
        padding: 20px;
        font-size: 30px;
        font-family: "Cormorant Infant", sans-serif;
    }

    fieldset {
        border: none !important;
        padding: 0;
    }

    legend {
        font-weight: bold;
        margin-bottom: 5px;
    }

    label {
        display: block;
        margin: 5px 0;
    }

    input[type="text"],
    textarea {
        width: 97%;
        padding: 8px;
        border: 1px solid #5c5c5c;
        border-radius: 5px;
        font-size: 16px;
    }

    textarea {
        min-height: 100px;
    }

    button {
        width: 100%;
        padding: 10px;
        background: #5c5c5c;
        color: #f8efea;
        border: none;
        border-radius: 5px;
        cursor: pointer;
        font-size: 16px;

        &:hover {
            background: #262626;
        }
    }
}


    .timout {
        padding: 50px 0 50px 0;
        background-color: #7a0f21;
        position: relative;
        max-width: 600px;
        margin: 0 auto;

    }
.second-img {
    rotate: 180deg;
    position: absolute;
    top: -120px;
    left: -51%;
    transform: translateX(-50%);
    overflow: hidden;
    clip-path: inset(0px 0 115px 0);
}

.second-img img {
    max-width: 605px;
    width: 100vw;
}
    .timout-title {
        color: white;
        font-size: 80px;
        text-align: center;
        margin-bottom: 20px;
        white-space: nowrap;
        font-family: "Sloop", sans-serif;
    }

    #countdown {
        display: flex;
        justify-content: center;
        gap: 0px;
    }

    .time-box {
        display: flex;
        flex-direction: column;
        align-items: center;
        color: white;
        padding: 15px;
        text-align: center;

    }

    .time-box span {
        font-size: 32px;
        font-weight: bold;
        line-height: 1;
    }

    .time-box p {
        margin: 5px 0 0;
        font-size: 14px;
        text-transform: uppercase;
        opacity: 0.8;
        font-weight: bold;
    }


.footer {
    position: relative;
    max-width: 600px;
    margin: 0 auto;
}
.footer-img {
    max-width: 600px;
    margin: 0 auto;
    display: block;
    width: 100%;
}